summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-db/slony1')
-rw-r--r--dev-db/slony1/slony1-1.2.0_rc3.ebuild32
1 files changed, 29 insertions, 3 deletions
diff --git a/dev-db/slony1/slony1-1.2.0_rc3.ebuild b/dev-db/slony1/slony1-1.2.0_rc3.ebuild
index 1cd2634..2dee270 100644
--- a/dev-db/slony1/slony1-1.2.0_rc3.ebuild
+++ b/dev-db/slony1/slony1-1.2.0_rc3.ebuild
@@ -2,11 +2,11 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-inherit eutils
+inherit eutils einput versionator
IUSE="perl doc"
-MY_P=${P/_/-}
+MY_PV=$(replace_version_separator 3 '-')
DESCRIPTION="A replication system for the PostgreSQL Database Management System"
HOMEPAGE="http://slony.info/"
SRC_URI="http://pgfoundry.org/frs/download.php/1015/${P}.tar.bz2"
@@ -25,7 +25,7 @@ src_unpack() {
}
src_compile() {
- cd ${WORKDIR}/${MY_P}
+ cd ${WORKDIR}/${PN}-${MY_PV}
local myconf=""
myconf="${myconf} --with-pgincludedir=/usr/include/postgresql/pgsql"
@@ -53,3 +53,29 @@ src_install() {
newinitd ${FILESDIR}/slony1.init slony1 || die
newconfd ${FILESDIR}/slony1.conf slony1 || die
}
+
+pkg_postinst() {
+ einfo
+ einfo "For important information regarding"
+ einfo "upgrading slony1, please config this package:"
+ einfo "# emerge --config 'dev-db/slony1'"
+ einfo
+}
+
+pkg_config() {
+ einput_add_init ${PN} "default"
+ einfo
+ einfo "In order to upgrade, you need to first stop"
+ einfo "slon on this node"
+ einfo
+ if einput_confirm "Do you want to stop slony1 on this node?" "0"; then
+ ${ROOT}/etc/init.d/slony1 stop
+ fi
+ einfo
+ einfo "Run the following for all nodes from a slonik script:"
+ einfo "update functions (id = [whatever]);"
+ einfo
+ if einput_confirm "Do you want to restart slony1 on this node?" "0"; then
+ ${ROOT}/etc/init.d/slony1 restart
+ fi
+}